# eoDrawable< Object > Class Template Reference

eoDrawable is a template class that adds a drawing interface to an object.\ Requisites for template instantiation are that the object must admit a default ctor and a copy ctor. More...

`#include <eoDrawable.h>`

List of all members.

## Public Member Functions

| eoDrawable (const Object &_o)
| Main ctor from an already built Object.
| eoDrawable (const eoDrawable &_d)
| Copy constructor.
virtual | ~eoDrawable ()
| Virtual dtor. They are needed in virtual class hierarchies.
virtual void | draw (unsigned _x, unsigned _y)=0
| Draws the object.

## Detailed Description

### template<class Object>
class eoDrawable< Object >

eoDrawable is a template class that adds a drawing interface to an object.\ Requisites for template instantiation are that the object must admit a default ctor and a copy ctor.

The Object must be an eoObject, thus, it must have its methods: className, eoDrawables can be drawn on any two-dimensional surface; it can be added to any object with above characteristics.

See also:
  eoObject

Definition at line 44 of file eoDrawable.h.

## Member Function Documentation

template<class Object>
virtual void eoDrawable< Object >::draw | ( | unsigned | _x,
|  | unsigned | _y
| ) | `[pure virtual]`

Draws the object.

It must be redefined in any subclass, itīs impossible to have a general drawing method

Parameters:

  | _x,_y | coorinates

The documentation for this class was generated from the following file:

- eoDrawable.h